!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_5721) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_4)*dZA/2d0 + coupl(   &
                      nGC_4253)
    coupl(nGC_5722) = -coupl(nGC_5721)
    coupl(nGC_5726) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_4)*dZAZ/2d0 + coupl(   &
                      nGC_4258)
    coupl(nGC_5727) = -coupl(nGC_5726)
    coupl(nGC_5731) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_4249)
    coupl(nGC_5732) = -coupl(nGC_5731)
    coupl(nGC_5741) = coupl(nGC_4261) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_5744) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4245)
    coupl(nGC_5745) = -coupl(nGC_5744)
    coupl(nGC_5757) = coupl(nGC_13)*dZH + coupl(nGC_4263)
    coupl(nGC_5764) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_4262)
    coupl(nGC_5768) = coupl(nGC_4265) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_5775) = coupl(nGC_4266) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_5779) = coupl(nGC_42)*dZZA + coupl(nGC_4267) + coupl(nGC_6)*dZA
    coupl(nGC_5784) = coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)*dZZ/2d0 + coupl(   &
                      nGC_4277) + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/  &
                      2d0
    coupl(nGC_5788) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*dZZA/2d0 + coupl(   &
                      nGC_4253)
    coupl(nGC_5792) = coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)*dZZ/2d0 + coupl(   &
                      nGC_4279)
    coupl(nGC_5796) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_4268) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_5800) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_4280) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_5804) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_4269) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5808) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_4281) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_5812) = coupl(nGC_4270) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_5816) = coupl(nGC_4282) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_5819) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_4271)
    coupl(nGC_5822) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_4272)
    coupl(nGC_5826) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_4273) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_5830) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_4283) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_5847) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_4274)
    coupl(nGC_5850) = coupl(nGC_17)*dZWMinus + coupl(nGC_4275)
    coupl(nGC_5855) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_4275)
    coupl(nGC_5858) = coupl(nGC_4276) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_5866) = coupl(nGC_42)*dZAZ + coupl(nGC_4285) + coupl(nGC_45)*dZZ
    coupl(nGC_5869) = coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)*dZZ/2d0 + coupl(   &
                      nGC_4278)
    coupl(nGC_5909) = coupl(nGC_4284) + coupl(nGC_46)*dZZ
    coupl(nGC_5913) = coupl(nGC_4284) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5917) = coupl(nGC_4286) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_5927) = coupl(nGC_4)*dZA/2d0 + coupl(nGC_4253)
    coupl(nGC_5928) = coupl(nGC_5926) + coupl(nGC_5927)
    coupl(nGC_5929) = coupl(nGC_5925) + coupl(nGC_5927)
    coupl(nGC_5935) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZeMinusR + coupl( &
                      nGC_4296)
    coupl(nGC_5936) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZeMinusL + coupl( &
                      nGC_4279)
    coupl(nGC_5937) = coupl(nGC_5930) + coupl(nGC_5935)
    coupl(nGC_5938) = coupl(nGC_5930) + coupl(nGC_5936)
    coupl(nGC_5947) = coupl(nGC_5927) + coupl(nGC_5946)
    coupl(nGC_5948) = coupl(nGC_5927) + coupl(nGC_5945)
    coupl(nGC_5954) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZmuMinusR + coupl(&
                      nGC_4296)
    coupl(nGC_5955) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZmuMinusL + coupl(&
                      nGC_4279)
    coupl(nGC_5956) = coupl(nGC_5930) + coupl(nGC_5954)
    coupl(nGC_5957) = coupl(nGC_5930) + coupl(nGC_5955)
    coupl(nGC_5966) = coupl(nGC_5927) + coupl(nGC_5965)
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
