!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_6215) = coupl(nGC_4299) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_6216) = coupl(nGC_4302) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_6227) = coupl(nGC_4303) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_6228) = coupl(nGC_4306) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_6229) = coupl(nGC_4305) + coupl(nGC_57)*dZcR_QED2/2d0 + coupl(   &
                      nGC_57)*dZsL_QED2/2d0
    coupl(nGC_6230) = coupl(nGC_4308) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_4312) = coupl(nGC_4156)*dydo_QED1
    coupl(nGC_4315) = coupl(nGC_4157)*dydo_QED1
    coupl(nGC_6249) = coupl(nGC_4313) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_6250) = coupl(nGC_4316) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_4318) = coupl(nGC_4167)*dys_QED1
    coupl(nGC_4321) = coupl(nGC_4165)*dys_QED1
    coupl(nGC_6263) = coupl(nGC_4319) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_6264) = coupl(nGC_4322) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_6269) = coupl(nGC_4323) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56)*&
                      dZbR/2d0
    coupl(nGC_6270) = coupl(nGC_4324) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54)*&
                      dZbR/2d0
    coupl(nGC_4327) = coupl(nGC_4164)*dydo_QED3
    coupl(nGC_6279) = coupl(nGC_4327) + coupl(nGC_6274)
    coupl(nGC_4325) = coupl(nGC_4164)*dydo_QCD2_QED1
    coupl(nGC_6280) = coupl(nGC_4325) + coupl(nGC_6273)
    coupl(nGC_6281) = coupl(nGC_4326) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_4328) = coupl(nGC_4168)*dys_QCD2_QED1
    coupl(nGC_6290) = coupl(nGC_4328) + coupl(nGC_6284)
    coupl(nGC_4330) = coupl(nGC_4168)*dys_QED3
    coupl(nGC_6291) = coupl(nGC_4330) + coupl(nGC_6285)
    coupl(nGC_6292) = coupl(nGC_4329) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_6297) = coupl(nGC_4331) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_6298) = coupl(nGC_6294) + coupl(nGC_6297)
    coupl(nGC_6312) = coupl(nGC_4335) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_6313) = coupl(nGC_4336) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_6318) = coupl(nGC_4337) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_6319) = coupl(nGC_4338) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_6324) = coupl(nGC_4339) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_6325) = coupl(nGC_4340) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_6330) = coupl(nGC_4341) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_6331) = coupl(nGC_6327) + coupl(nGC_6330)
    coupl(nGC_6336) = coupl(nGC_4342) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_6337) = coupl(nGC_6333) + coupl(nGC_6336)
    coupl(nGC_6342) = coupl(nGC_4343) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_6343) = coupl(nGC_6339) + coupl(nGC_6342)
    coupl(nGC_4345) = coupl(nGC_4179)*dyup_QED1
    coupl(nGC_4348) = coupl(nGC_4182)*dyup_QED1
    coupl(nGC_6380) = coupl(nGC_4346) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_6381) = coupl(nGC_4349) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_4351) = coupl(nGC_4154)*dyc_QED1
    coupl(nGC_4354) = coupl(nGC_4153)*dyc_QED1
    coupl(nGC_6394) = coupl(nGC_4352) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_6395) = coupl(nGC_4355) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_6400) = coupl(nGC_4356) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_6401) = coupl(nGC_4357) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
