!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_6016) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_6013) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_6017) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_6024) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_6025) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_6038) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_6041) = coupl(nGC_1)*dZdR_QED2
    coupl(nGC_6037) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_6040) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_6039) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_6042) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_6048) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_6051) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_6055) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_6052) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_6056) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_6062) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_6065) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_6061) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_6064) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_6073) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_6077) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_6072) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_6076) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_6084) = coupl(nGC_1)*dZbL + coupl(nGC_38)*dZZA/2d0
    coupl(nGC_6085) = coupl(nGC_1)*dZbR + coupl(nGC_34)*dZZA/2d0
    coupl(nGC_6098) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_6100) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_6097) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_6099) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_6112) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_6114) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_6113) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_6115) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_6127) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_6129) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_6126) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_6128) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_6140) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_6142) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_6141) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_6143) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_6157) = coupl(nGC_23)*(dZdL_QED2 + dZuL_QED2)/2d0
    coupl(nGC_6156) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_6162) = coupl(nGC_23)*(dZcL_QED2 + dZsL_QED2)/2d0
    coupl(nGC_6161) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_6194) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_4298) = cima*dyup_QED1
    coupl(nGC_4301) = -cima*dydo_QED1
    coupl(nGC_4304) = cima*dyc_QED1
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
