!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2638])

    call avR2(1185, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2639])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2638])

    call avR2(1186, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2639])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 42, 5, 0, SSVV0, 0, [2, 2], [nGC_2640])

    call avR2(1187, 1, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 44, 5, 0, SVSV0, 0, [2, 2], [nGC_2640])

    call avR2(1188, 1, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 46, 5, 0, SVVS0, 0, [2, 2], [nGC_2640])

    call avR2(1189, 1, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 42, 5, 0, SSVV0, 0, [2, 2], [nGC_2640])

    call avR2(1190, 1, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 44, 5, 0, SVSV0, 0, [2, 2], [nGC_2640])

    call avR2(1191, 1, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 46, 5, 0, SVVS0, 0, [2, 2], [nGC_2640])

    call avR2(1192, 1, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2640])

    call avR2(1193, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2640])

    call avR2(1194, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2640])

    call avR2(1195, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2640])

    call avR2(1196, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2640])

    call avR2(1197, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2640])

    call avR2(1198, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2641])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 42, 5, 0, SSVV0, 0, [2, 2], [nGC_2642])

    call avR2(1199, 1, 43, 5, 0, SSVV0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 44, 5, 0, SVSV0, 0, [2, 2], [nGC_2642])

    call avR2(1200, 1, 45, 5, 0, SVSV0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 46, 5, 0, SVVS0, 0, [2, 2], [nGC_2642])

    call avR2(1201, 1, 47, 5, 0, SVVS0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 48, 5, 0, VSSV0, 0, [2, 2], [nGC_2642])

    call avR2(1202, 1, 49, 5, 0, VSSV0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 50, 5, 0, VSVS0, 0, [2, 2], [nGC_2642])

    call avR2(1203, 1, 51, 5, 0, VSVS0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 52, 5, 0, VVSS0, 0, [2, 2], [nGC_2642])

    call avR2(1204, 1, 53, 5, 0, VVSS0, 0, [2, 2], [nGC_2643])

    allocate(vertices(1)%branchR2(0:23))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0], [nGC_2644, nGC_2645, nGC_2644])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0], [nGC_2645, nGC_2644, nGC_2644])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_2644, nGC_2645, nGC_2644])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_2645, nGC_2644, nGC_2644])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_2644, nGC_2644, nGC_2645])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_2644, nGC_2644, nGC_2645])

    call avR2(1, 6, 78, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 7, 79, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 8, 80, 5, 0, VVVV0, 0, [4, 0], [nGC_2648, nGC_2647, nGC_2647])

    call avR2(1, 9, 81, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 10, 82, 5, 0, VVVV0, 0, [4, 0], [nGC_2647, nGC_2647, nGC_2648])

    call avR2(1, 11, 83, 5, 0, VVVV0, 0, [4, 0], [nGC_2647, nGC_2648, nGC_2647])

    call avR2(1, 12, 84, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 13, 85, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 14, 86, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 15, 87, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 16, 88, 5, 0, VVVV0, 0, [4, 0], [nGC_2646, nGC_2646, nGC_2646])

    call avR2(1, 17, 89, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

    call avR2(1, 18, 90, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

    call avR2(1, 19, 91, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

    call avR2(1, 20, 92, 5, 0, VVVV0, 0, [4, 0], [nGC_2650, nGC_2650, nGC_2650])

    call avR2(1, 21, 93, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

    call avR2(1, 22, 94, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

    call avR2(1, 23, 95, 5, 0, VVVV0, 0, [4, 0], [nGC_2649, nGC_2649, nGC_2649])

  end subroutine fill_vertices_mdl4
end module vertices_info4
