!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_4294) = coupl(nGC_4110)*dsw_ + coupl(nGC_4111)*dcw_ + coupl(     &
                      nGC_4112)*dZee
    coupl(nGC_4295) = coupl(nGC_4116)*dsw_ + coupl(nGC_4117)*dcw_ + coupl(     &
                      nGC_4118)*dZee
    coupl(nGC_4296) = coupl(nGC_4242)*dsw_ + coupl(nGC_4243)*dcw_ + coupl(     &
                      nGC_4244)*dZee
    coupl(nGC_4323) = coupl(nGC_4147)*dyb_QED1
    coupl(nGC_4324) = coupl(nGC_4145)*dyb_QED1
    coupl(nGC_4331) = coupl(nGC_4146)*dyb_QED1
    coupl(nGC_4335) = coupl(nGC_4159)*dye_QED1
    coupl(nGC_4336) = coupl(nGC_4158)*dye_QED1
    coupl(nGC_4337) = coupl(nGC_4161)*dym_QED1
    coupl(nGC_4338) = coupl(nGC_4163)*dym_QED1
    coupl(nGC_4339) = coupl(nGC_4172)*dytau_QED1
    coupl(nGC_4340) = coupl(nGC_4170)*dytau_QED1
    coupl(nGC_4341) = coupl(nGC_4160)*dye_QED1
    coupl(nGC_4342) = coupl(nGC_4162)*dym_QED1
    coupl(nGC_4343) = coupl(nGC_4173)*dytau_QED1
    coupl(nGC_4356) = coupl(nGC_4169)*dyt_QED1
    coupl(nGC_4357) = coupl(nGC_4171)*dyt_QED1
    coupl(nGC_4364) = coupl(nGC_4166)*dyt_QED1
    coupl(nGC_4383) = coupl(nGC_2667)*dMW2
    coupl(nGC_4384) = coupl(nGC_2669)*dMW2
    coupl(nGC_4385) = coupl(nGC_2671)*dMZ2
    coupl(nGC_5611) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4245)
    coupl(nGC_5616) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_4246)
    coupl(nGC_5617) = -2d0*coupl(nGC_5616)
    coupl(nGC_5620) = 2d0*coupl(nGC_5616)
    coupl(nGC_5621) = -coupl(nGC_5616)
    coupl(nGC_5633) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_4247)
    coupl(nGC_5637) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_4249)
    coupl(nGC_5641) = coupl(nGC_4248) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_5642) = -coupl(nGC_5640)/2d0 + coupl(nGC_5641)
    coupl(nGC_5643) = coupl(nGC_5640) - 2d0*coupl(nGC_5641)
    coupl(nGC_5649) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_4251)
    coupl(nGC_5650) = coupl(nGC_5648) - coupl(nGC_5649)/2d0
    coupl(nGC_5651) = -2d0*coupl(nGC_5648) + coupl(nGC_5649)
    coupl(nGC_5660) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_4250)
    coupl(nGC_5661) = -2d0*coupl(nGC_5660)
    coupl(nGC_5669) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_4252)
    coupl(nGC_5670) = coupl(nGC_5666) - 2d0*coupl(nGC_5669)
    coupl(nGC_5671) = -coupl(nGC_5666)/2d0 + coupl(nGC_5669)
    coupl(nGC_5684) = coupl(nGC_4)*dZWMinus/2d0 + coupl(nGC_4253)
    coupl(nGC_5685) = -coupl(nGC_5684)
    coupl(nGC_5688) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_4247)
    coupl(nGC_5689) = -coupl(nGC_5688)
    coupl(nGC_5696) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_4256)
    coupl(nGC_5700) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_4247)
    coupl(nGC_5701) = -coupl(nGC_5700)
    coupl(nGC_5705) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_4249)
    coupl(nGC_5706) = -coupl(nGC_5705)
    coupl(nGC_5710) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_4258)
    coupl(nGC_5711) = -coupl(nGC_5710)
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
