!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_5967) = coupl(nGC_5927) + coupl(nGC_5964)
    coupl(nGC_5973) = coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)*dZtauMinusR + coupl&
                      (nGC_4296)
    coupl(nGC_5974) = coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)*dZtauMinusL + coupl&
                      (nGC_4279)
    coupl(nGC_5975) = coupl(nGC_5930) + coupl(nGC_5973)
    coupl(nGC_5976) = coupl(nGC_5930) + coupl(nGC_5974)
    coupl(nGC_5985) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_4287)
    coupl(nGC_5986) = coupl(nGC_5982) + coupl(nGC_5985)
    coupl(nGC_5987) = coupl(nGC_5979) + coupl(nGC_5985)
    coupl(nGC_5997) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_4291)
    coupl(nGC_5998) = coupl(nGC_39)*dZZ/2d0 + coupl(nGC_4292)
    coupl(nGC_5999) = coupl(nGC_5988) + coupl(nGC_5997)
    coupl(nGC_6000) = coupl(nGC_5988) + coupl(nGC_5998)
    coupl(nGC_6026) = coupl(nGC_5985) + coupl(nGC_6025)
    coupl(nGC_6027) = coupl(nGC_5985) + coupl(nGC_6024)
    coupl(nGC_6033) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)*dZtR + coupl(      &
                      nGC_4291)
    coupl(nGC_6034) = coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)*dZtL + coupl(      &
                      nGC_4292)
    coupl(nGC_6035) = coupl(nGC_5988) + coupl(nGC_6033)
    coupl(nGC_6036) = coupl(nGC_5988) + coupl(nGC_6034)
    coupl(nGC_6045) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_4288)
    coupl(nGC_6046) = coupl(nGC_6042) + coupl(nGC_6045)
    coupl(nGC_6047) = coupl(nGC_6039) + coupl(nGC_6045)
    coupl(nGC_6057) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_4293)
    coupl(nGC_6058) = coupl(nGC_38)*dZZ/2d0 + coupl(nGC_4294)
    coupl(nGC_6059) = coupl(nGC_6048) + coupl(nGC_6057)
    coupl(nGC_6060) = coupl(nGC_6048) + coupl(nGC_6058)
    coupl(nGC_6086) = coupl(nGC_6045) + coupl(nGC_6085)
    coupl(nGC_6087) = coupl(nGC_6045) + coupl(nGC_6084)
    coupl(nGC_6093) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34)*dZbR + coupl(      &
                      nGC_4293)
    coupl(nGC_6094) = coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38)*dZbL + coupl(      &
                      nGC_4294)
    coupl(nGC_6095) = coupl(nGC_6048) + coupl(nGC_6093)
    coupl(nGC_6096) = coupl(nGC_6048) + coupl(nGC_6094)
    coupl(nGC_6103) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_4289)
    coupl(nGC_6104) = coupl(nGC_6099) + coupl(nGC_6103)
    coupl(nGC_6105) = coupl(nGC_6097) + coupl(nGC_6103)
    coupl(nGC_6118) = coupl(nGC_6103) + coupl(nGC_6114)
    coupl(nGC_6119) = coupl(nGC_6103) + coupl(nGC_6112)
    coupl(nGC_6132) = coupl(nGC_6103) + coupl(nGC_6128)
    coupl(nGC_6133) = coupl(nGC_6103) + coupl(nGC_6126)
    coupl(nGC_6146) = coupl(nGC_6103) + coupl(nGC_6142)
    coupl(nGC_6147) = coupl(nGC_6103) + coupl(nGC_6140)
    coupl(nGC_6158) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_4290)
    coupl(nGC_6165) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZbL/2d0 +    &
                      coupl(nGC_23)*dZtL/2d0 + coupl(nGC_4290)
    coupl(nGC_6178) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_4290)
    coupl(nGC_6181) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_4290)
    coupl(nGC_6184) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_4290)
    coupl(nGC_6193) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_eL + coupl(   &
                      nGC_4295)
    coupl(nGC_6197) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_muL + coupl(  &
                      nGC_4295)
    coupl(nGC_6201) = coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)*dZnu_tauL + coupl( &
                      nGC_4295)
    coupl(nGC_6213) = coupl(nGC_4297) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_6214) = coupl(nGC_4300) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
