!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_4358) = coupl(nGC_4180)*dyup_QCD2_QED1
    coupl(nGC_6410) = coupl(nGC_4358) + coupl(nGC_6404)
    coupl(nGC_4360) = coupl(nGC_4180)*dyup_QED3
    coupl(nGC_6411) = coupl(nGC_4360) + coupl(nGC_6405)
    coupl(nGC_6412) = coupl(nGC_4359) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_4363) = coupl(nGC_4152)*dyc_QED3
    coupl(nGC_6421) = coupl(nGC_4363) + coupl(nGC_6416)
    coupl(nGC_4361) = coupl(nGC_4152)*dyc_QCD2_QED1
    coupl(nGC_6422) = coupl(nGC_4361) + coupl(nGC_6415)
    coupl(nGC_6423) = coupl(nGC_4362) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_6428) = coupl(nGC_4364) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_6429) = coupl(nGC_6425) + coupl(nGC_6428)
    coupl(nGC_6547) = coupl(nGC_4383) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_6550) = coupl(nGC_4384) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_6553) = coupl(nGC_4385) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_6573) = -coupl(nGC_5633)
    coupl(nGC_6586) = -coupl(nGC_5637)
    coupl(nGC_7192) = -coupl(nGC_5788)
    coupl(nGC_7208) = -coupl(nGC_5792)
    coupl(nGC_7511) = -coupl(nGC_5819)
    coupl(nGC_7522) = -coupl(nGC_5822)
    coupl(nGC_7831) = -coupl(nGC_5847)
    coupl(nGC_7975) = -coupl(nGC_5869)
    coupl(nGC_4311) = coupl(nGC_4156)*dydo_QCD2_QED1
    coupl(nGC_4314) = coupl(nGC_4157)*dydo_QCD2_QED1
    coupl(nGC_4317) = coupl(nGC_4167)*dys_QCD2_QED1
    coupl(nGC_4320) = coupl(nGC_4165)*dys_QCD2_QED1
    coupl(nGC_4344) = coupl(nGC_4179)*dyup_QCD2_QED1
    coupl(nGC_4347) = coupl(nGC_4182)*dyup_QCD2_QED1
    coupl(nGC_4350) = coupl(nGC_4154)*dyc_QCD2_QED1
    coupl(nGC_4353) = coupl(nGC_4153)*dyc_QCD2_QED1
    coupl(nGC_6247) = coupl(nGC_4311) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_6248) = coupl(nGC_4314) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_6261) = coupl(nGC_4317) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_6262) = coupl(nGC_4320) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_6378) = coupl(nGC_4344) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_6379) = coupl(nGC_4347) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_6392) = coupl(nGC_4350) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_6393) = coupl(nGC_4353) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
