!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_6480) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_6482) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_6484) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_6486) = coupl(nGC_4373) + coupl(nGC_6480)
    coupl(nGC_4374) = -cima*dMC_QED2
    coupl(nGC_6481) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_6483) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_6485) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_6487) = coupl(nGC_4374) + coupl(nGC_6481)
    coupl(nGC_6490) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_6491) = coupl(nGC_MI)*dZtL
    coupl(nGC_6492) = coupl(nGC_MI)*dZtR
    coupl(nGC_6493) = coupl(nGC_4375) + coupl(nGC_6490)
    coupl(nGC_4376) = -cima*dMD_QCD2
    coupl(nGC_6498) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6500) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_6502) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_6504) = coupl(nGC_4376) + coupl(nGC_6498)
    coupl(nGC_4377) = -cima*dMD_QED2
    coupl(nGC_6499) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6501) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_6503) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_6505) = coupl(nGC_4377) + coupl(nGC_6499)
    coupl(nGC_4378) = -cima*dMS_QCD2
    coupl(nGC_6510) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6512) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_6514) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_6516) = coupl(nGC_4378) + coupl(nGC_6510)
    coupl(nGC_4379) = -cima*dMS_QED2
    coupl(nGC_6511) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6513) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_6515) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_6517) = coupl(nGC_4379) + coupl(nGC_6511)
    coupl(nGC_6520) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_6521) = coupl(nGC_MI)*dZbL
    coupl(nGC_6522) = coupl(nGC_MI)*dZbR
    coupl(nGC_6523) = coupl(nGC_4380) + coupl(nGC_6520)
    coupl(nGC_6524) = coupl(nGC_MI)*dZA
    coupl(nGC_6525) = -coupl(nGC_6524)
    coupl(nGC_6526) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_6527) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_6528) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_6532) = coupl(nGC_4381) + coupl(nGC_MZ)*dZZ
    coupl(nGC_6531) = coupl(nGC_MI)*dZZ
    coupl(nGC_6533) = -coupl(nGC_6531)
    coupl(nGC_6540) = coupl(nGC_4382) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_6539) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_6541) = -coupl(nGC_6539)
    coupl(nGC_6542) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_6543) = -coupl(nGC_6542)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
