!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_2628) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(96d0*pi**2d0)
    coupl(nGC_2629) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(48d0*pi**2d0*Nc)
    coupl(nGC_2630) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(24d0*pi**2d0*Nc**2d0)
    coupl(nGC_2631) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0)
    coupl(nGC_2632) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0*Nc)
    coupl(nGC_2633) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(48d0&
                      *pi**2d0)
    coupl(nGC_2634) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      48d0*pi**2d0*Nc)
    coupl(nGC_2635) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(192d0*pi**2d0)
    coupl(nGC_2636) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(96d0*pi**2d0*Nc&
                      )
    coupl(nGC_2637) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(48d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_2638) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_63)**2d0 - coupl(nGC_75)**2d0 - coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0)
    coupl(nGC_2639) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_63)**2d0 + coupl(nGC_75)**2d0 + coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_2640) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_57)**2d0 -  &
                      coupl(nGC_61)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_2641) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_57)**2d0 +   &
                      coupl(nGC_61)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_2642) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_58)*coupl(  &
                      nGC_60) - coupl(nGC_62)*coupl(nGC_64) - coupl(nGC_74)*   &
                      coupl(nGC_76) - coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0)
    coupl(nGC_2643) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_62)*coupl(nGC_64) + coupl(nGC_74)*   &
                      coupl(nGC_76) + coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_2644) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_12)*sq2**2d0 + 12d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0)
    coupl(nGC_2645) = sq2**2d0*(-Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*Nc* &
                      coupl(nGC_10)**2d0*coupl(nGC_118) - 10d0*cima*coupl(     &
                      nGC_11)**4d0*sq2**2d0)/(192d0*pi**2d0)
    coupl(nGC_2646) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_122) - 3d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_118)*sq2**2d0 - 21d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_122)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                      nGC_124)*sq2**2d0 - 4d0*cima*coupl(nGC_11)**4d0*sq2**4d0 &
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_2647) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_122)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_118)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 +  &
                      18d0*coupl(nGC_10)**2d0*coupl(nGC_122)*sq2**2d0 + 3d0*   &
                      coupl(nGC_10)**2d0*coupl(nGC_124)*sq2**2d0)/(192d0*pi**  &
                      2d0)
    coupl(nGC_2648) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_12)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2 &
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_124)*sq2**2d0)/(&
                      96d0*pi**2d0)
    coupl(nGC_2649) = cima*coupl(nGC_11)**4d0*sq2**4d0/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_2650) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(16d0*pi**2d0*Nc**3d0)
    coupl(nGC_4188) = -cima*ee
    coupl(nGC_4176) = 2d0*cima*ee**2d0
    coupl(nGC_4209) = -cima*cw*ee/sw**2d0
    coupl(nGC_4210) = cima*ee/sw
    coupl(nGC_4211) = cima*cw*ee/sw
    coupl(nGC_4194) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4195) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4223) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4222) = 2d0*cima*ee**2d0/sw
    coupl(nGC_4221) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4197) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4196) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4198) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4174) = cima*ee
    coupl(nGC_4192) = cima*ee/(2d0*cMW)
    coupl(nGC_4191) = cMW*cima*ee
    coupl(nGC_4224) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4225) = -cMW*ee/(2d0*sw)
    coupl(nGC_4226) = -ee/(4d0*cMW*sw)
    coupl(nGC_4233) = cMW*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4234) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_4235) = -cima*ee/(4d0*cMW*sw)
    coupl(nGC_4124) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4122) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4123) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4125) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_4213) = -cima*ee/sw
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
