!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2022-04-10 11:17             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_4359) = coupl(nGC_4180)*dyup_QED1
    coupl(nGC_4362) = coupl(nGC_4152)*dyc_QED1
    coupl(nGC_4245) = coupl(nGC_4155)*dZgs_QCD2
    coupl(nGC_4246) = coupl(nGC_4190)*dZgs_QCD2
    coupl(nGC_4247) = coupl(nGC_4188)*dZee
    coupl(nGC_4248) = coupl(nGC_4176)*dZee
    coupl(nGC_4249) = coupl(nGC_4209)*dsw_ + coupl(nGC_4210)*dcw_ + coupl(     &
                      nGC_4211)*dZee
    coupl(nGC_4250) = coupl(nGC_4194)*dsw_ + coupl(nGC_4195)*dZee
    coupl(nGC_4251) = coupl(nGC_4221)*dsw_ + coupl(nGC_4222)*dcw_ + coupl(     &
                      nGC_4223)*dZee
    coupl(nGC_4252) = coupl(nGC_4196)*dsw_ + coupl(nGC_4197)*dcw_ + coupl(     &
                      nGC_4198)*dZee
    coupl(nGC_4253) = coupl(nGC_4174)*dZee
    coupl(nGC_4254) = coupl(nGC_4191)*dZee + coupl(nGC_4192)*dMW2
    coupl(nGC_4255) = coupl(nGC_4224)*dsw_ + coupl(nGC_4225)*dZee + coupl(     &
                      nGC_4226)*dMW2
    coupl(nGC_4256) = coupl(nGC_4233)*dsw_ + coupl(nGC_4234)*dZee + coupl(     &
                      nGC_4235)*dMW2
    coupl(nGC_4257) = coupl(nGC_4122)*dsw_ + coupl(nGC_4123)*dcw_ + coupl(     &
                      nGC_4124)*dZee + coupl(nGC_4125)*dMW2
    coupl(nGC_4258) = coupl(nGC_4212)*dsw_ + coupl(nGC_4213)*dcw_ + coupl(     &
                      nGC_4214)*dZee
    coupl(nGC_4259) = coupl(nGC_4230)*dsw_ + coupl(nGC_4231)*dZee + coupl(     &
                      nGC_4232)*dMW2
    coupl(nGC_4260) = coupl(nGC_4227)*dsw_ + coupl(nGC_4228)*dZee + coupl(     &
                      nGC_4229)*dMZ2
    coupl(nGC_4261) = coupl(nGC_4106)*dsw_ + coupl(nGC_4107)*dcw_ + coupl(     &
                      nGC_4108)*dZee + coupl(nGC_4109)*dMZ2
    coupl(nGC_4262) = coupl(nGC_4193)*dlam_QED2
    coupl(nGC_4263) = coupl(nGC_4185)*dlam_QED2
    coupl(nGC_4265) = coupl(nGC_4132)*dlam_QED2 + coupl(nGC_4133)*dvev_QEDM1
    coupl(nGC_4266) = coupl(nGC_4137)*dlam_QED2 + coupl(nGC_4138)*dvev_QEDM1
    coupl(nGC_4267) = coupl(nGC_4181)*dZee
    coupl(nGC_4268) = coupl(nGC_4219)*dsw_ + coupl(nGC_4220)*dZee
    coupl(nGC_4269) = coupl(nGC_4215)*dsw_ + coupl(nGC_4216)*dZee
    coupl(nGC_4270) = coupl(nGC_4142)*dvev_QEDM1 + coupl(nGC_4143)*dsw_ + coupl&
                      (nGC_4144)*dZee
    coupl(nGC_4271) = coupl(nGC_4201)*dsw_ + coupl(nGC_4202)*dZee
    coupl(nGC_4272) = coupl(nGC_4205)*dsw_ + coupl(nGC_4206)*dZee
    coupl(nGC_4273) = coupl(nGC_4217)*dsw_ + coupl(nGC_4218)*dZee
    coupl(nGC_4274) = coupl(nGC_4203)*dsw_ + coupl(nGC_4204)*dZee
    coupl(nGC_4275) = coupl(nGC_4199)*dsw_ + coupl(nGC_4200)*dZee
    coupl(nGC_4276) = coupl(nGC_4139)*dvev_QEDM1 + coupl(nGC_4140)*dsw_ + coupl&
                      (nGC_4141)*dZee
    coupl(nGC_4277) = coupl(nGC_4119)*dsw_ + coupl(nGC_4120)*dcw_ + coupl(     &
                      nGC_4121)*dZee
    coupl(nGC_4278) = coupl(nGC_4113)*dsw_ + coupl(nGC_4114)*dcw_ + coupl(     &
                      nGC_4115)*dZee
    coupl(nGC_4279) = coupl(nGC_4103)*dsw_ + coupl(nGC_4104)*dcw_ + coupl(     &
                      nGC_4105)*dZee
    coupl(nGC_4280) = coupl(nGC_4186)*dcw_ + coupl(nGC_4187)*dZee
    coupl(nGC_4281) = coupl(nGC_4183)*dcw_ + coupl(nGC_4184)*dZee
    coupl(nGC_4282) = coupl(nGC_4134)*dvev_QEDM1 + coupl(nGC_4135)*dcw_ + coupl&
                      (nGC_4136)*dZee
    coupl(nGC_4283) = coupl(nGC_4177)*dcw_ + coupl(nGC_4178)*dZee
    coupl(nGC_4284) = coupl(nGC_4126)*dsw_ + coupl(nGC_4127)*dcw_ + coupl(     &
                      nGC_4128)*dZee
    coupl(nGC_4285) = coupl(nGC_4129)*dsw_ + coupl(nGC_4130)*dcw_ + coupl(     &
                      nGC_4131)*dZee
    coupl(nGC_4286) = coupl(nGC_4148)*dvev_QEDM1 + coupl(nGC_4149)*dsw_ + coupl&
                      (nGC_4150)*dcw_ + coupl(nGC_4151)*dZee
    coupl(nGC_4287) = coupl(nGC_4189)*dZee
    coupl(nGC_4288) = coupl(nGC_4175)*dZee
    coupl(nGC_4289) = coupl(nGC_2651)*dZgs_QCD2
    coupl(nGC_4290) = coupl(nGC_4207)*dsw_ + coupl(nGC_4208)*dZee
    coupl(nGC_4291) = coupl(nGC_4239)*dsw_ + coupl(nGC_4240)*dcw_ + coupl(     &
                      nGC_4241)*dZee
    coupl(nGC_4292) = coupl(nGC_4100)*dsw_ + coupl(nGC_4101)*dcw_ + coupl(     &
                      nGC_4102)*dZee
    coupl(nGC_4293) = coupl(nGC_4236)*dsw_ + coupl(nGC_4237)*dcw_ + coupl(     &
                      nGC_4238)*dZee
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
